// Function to rearrange layers into a single column
function arrangeLayersInColumn(spacing) {
    var doc = app.activeDocument;
    var layerCount = doc.artLayers.length;

    // Assuming each layer is of the same size
    var layerWidth = doc.width;
    var layerHeight = doc.height;

    // Resize canvas to fit all layers in a single column
    var totalHeight = (layerHeight + spacing) * layerCount - spacing;
    doc.resizeCanvas(layerWidth, totalHeight, AnchorPosition.TOPLEFT);

    // Arrange layers
    for (var i = 0; i < layerCount; i++) {
        var layer = doc.artLayers[i];
        layer.visible = true;
        doc.activeLayer = layer;
        var yPosition = (layerHeight + spacing) * i;
        layer.translate(0, yPosition);
    }
}

// Main
if (app.documents.length > 0) {
    arrangeLayersInColumn(10); // Single column with 10px spacing
} else {
    alert("No documents are open.");
}